-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS ScryfallCard (
	Id VARCHAR(36) PRIMARY KEY,
	Name VARCHAR(150) NOT NULL,
	ScryfallSetCode VARCHAR(6) NOT NULL,
	FOREIGN KEY (ScryfallSetCode) REFERENCES ScryfallSet(SetCode),
	HasFoilPrinting BOOLEAN NOT NULL,
	IsPromo BOOLEAN NOT NULL,
	CollectorNumber VARCHAR(10) NOT NULL,
	ImageUrl VARCHAR(100) NOT NULL,
	Language VARCHAR(3) NOT NULL
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS ScryfallCard;
-- +goose StatementEnd
